python-linting:
  stage: lint
  image: python:3.9-bullseye
  before_script:
    - pip install -r requirements/ci.txt
  script:
    - isort src/ --check-only
    - black src/ --line-length 88 --check
    - autoflake src/ --check --recursive --remove-all-unused-imports --ignore-init-module-imports
  only:
    refs:
      - development
      - merge_requests

javascript-linting:
  stage: lint
  image: node:16-bullseye
  before_script:
    - npm install
  script:
    - npm run lint
  only:
    refs:
      - development
      - merge_requests
